/* 
*
*  ProLinga-Calc
*
*  Copyright (C) 2002-2008 Xobas Software
*  All rights reserved.
*  
*  This file is part of ProLinga-Calc.
*
*  ProLinga-Calc is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Calc is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Calc.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*/

#ifndef __CALC_MAIN_HPP
#define __CALC_MAIN_HPP 1

#define CALC_PROMPT             "prolingacalc>"
#define CALC_MAX_EXP_LEN        1024
#define CALC_HELP               "\
Input for this calculator are normal C expressions containing operators, float\n\
or integer constants, variables and references to previous results ($n).\n\
Precedence and semantic of operators is the same as in the C language. There are\n\
two extra binary operators: >>> unsigned shift right and ** raising to power.\n\
ProLinga-Calc supports the standard set of functions from the C mathematics library and\n\
also defines function prime(n), which returns smallest prime number >= n.\n\
Operators:\n\
        ++ -- ! ~ unary + -\n\
        **\n\
        * / %\n\
        + -\n\
        << >> >>>\n\
        < <= > >= \n\
        == != \n\
        &\n\
        ^\n\
        |\n\
        = += -= *= /= %= <<= >>= >>>= &= |= ^= **= \n\
Functions:\n\
        abs     atan    cosh    float   prime   sqrt\n\
        acos    atan2   exp     log     sin     tan\n\
        asin    cos     int     log10   sinh    tanh\n\
Type \"exit\" or \"quit\" to terminate program, \"version\" for version information, \"help\" or \"?\" to show this help\n"

#endif /* __CALC_MAIN_HPP */

